Bug 1247084 - Nested groups require inetAdmin or inetUser object class to hold memberOf attributes
Nested groups require inetAdmin or inetUser object class to hold memberOf att...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
10.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 06:02 EDT by Sankar Ramalingam
Modified: 2017-03-14 06:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-14 06:29:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sankar Ramalingam 2015-07-27 06:02:43 EDT
Description of problem:
extensibleObject objectclass is required for a nested group not mentioned in the admin guide. It should be added in the documentation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Please see - https://bugzilla.redhat.com/show_bug.cgi?id=1246365

Actual results: Object class violation error 65 is thrown if a nested group is deleted. This happens only if the groups were created without extensibleObject objectclass.


Expected results: 


Additional info:
Comment 1 Sankar Ramalingam 2015-07-28 06:39:42 EDT
If a nested group is created without having inetAdmin or inetUser object class, it throws error #65(Object class violation) when deleting the group.

==> /var/log/dirsrv/slapd-standalone/errors <==
[24/Jul/2015:02:04:34 -0400] - Entry "cn=C1grp,ou=Groups,dc=nestgrpsuff,dc=com" -- attribute "memberOf" not allowed
[24/Jul/2015:02:04:34 -0400] memberof-plugin - memberof_postop_del: error deleting attr list - dn (cn=grpc,ou=Groups,dc=nestgrpsuff,dc=com). Error (65)
Comment 3 Marc Muehlfeld 2017-03-14 06:29:09 EDT
The update is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.